Bug 860926 - [fork] Exception is shown while using rhc cartridge add cron-1.4
[fork] Exception is shown while using rhc cartridge add cron-1.4
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-27 02:21 EDT by joycezhang
Modified: 2015-05-14 22:05 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-06 13:49:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description joycezhang 2012-09-27 02:21:52 EDT
Description of problem:
Following error is shown while using rhc cartridge add cron-1.4:
# rhc cartridge add cron-1.4 -a php1 
Password: *

Adding 'cron-1.4' to application 'php1'
Success

Useful cron-1.4 properties
==========================
/var/lib/gems/1.8/gems/rhc-0.99.3/lib/rhc/commands/cartridge.rb:168:in `properties_table': undefined method `each' for nil:NilClass (NoMethodError)
	from /var/lib/gems/1.8/gems/rhc-0.99.3/lib/rhc/commands/cartridge.rb:38:in `add'
	from /var/lib/gems/1.8/gems/rhc-0.99.3/lib/rhc/helpers.rb:216:in `call'
	from /var/lib/gems/1.8/gems/rhc-0.99.3/lib/rhc/helpers.rb:216:in `section'
	from /var/lib/gems/1.8/gems/rhc-0.99.3/lib/rhc/helpers.rb:233:in `paragraph'
	from /var/lib/gems/1.8/gems/rhc-0.99.3/lib/rhc/commands/cartridge.rb:36:in `add'
	from /var/lib/gems/1.8/gems/rhc-0.99.3/lib/rhc/commands.rb:103:in `send'
	from /var/lib/gems/1.8/gems/rhc-0.99.3/lib/rhc/commands.rb:103:in `to_commander'
	from /var/lib/gems/1.8/gems/commander-4.1.2/lib/commander/command.rb:180:in `call'
	from /var/lib/gems/1.8/gems/commander-4.1.2/lib/commander/command.rb:180:in `call'
	from /var/lib/gems/1.8/gems/commander-4.1.2/lib/commander/command.rb:155:in `run'
	from /var/lib/gems/1.8/gems/commander-4.1.2/lib/commander/runner.rb:402:in `run_active_command'
	from /var/lib/gems/1.8/gems/rhc-0.99.3/lib/rhc/command_runner.rb:30:in `run!'
	from /var/lib/gems/1.8/gems/commander-4.1.2/lib/commander/delegates.rb:7:in `run!'
	from /var/lib/gems/1.8/gems/rhc-0.99.3/lib/rhc/cli.rb:40:in `start'
	from /var/lib/gems/1.8/gems/rhc-0.99.3/bin/rhc:57
	from /usr/local/bin/rhc:19:in `load'
	from /usr/local/bin/rhc:19


Version-Release number of selected component (if applicable):
fork_ami_US2597_US2599_US2813_US2817_US2872_172 (ami-735fed1a)

How reproducible:
always

Steps to Reproduce:
1.Create an app
2.Add cartridge cron-1.4 to this app
# rhc cartridge add cron-1.4 -a php1
  
Actual results:
Error as pasted in description is shown.

Expected results:
Cartridge should be added successfully, no error is shown.

Additional info:
It can be reproduced on Fedora with ruby1.9 and Ubuntu with ruby 1.8
Comment 1 Jianwei Hou 2012-09-27 22:45:20 EDT
Seems this bug is fixed, so move it to ON_QA to verify.
Comment 2 Jianwei Hou 2012-09-27 22:47:33 EDT
Verified on fork_ami_US2597_US2599_US2813_US2817_US2872_173

Steps:
1.Create an app
2.Add cartridge cron-1.4 to this app

hjw@my apps$ rhc cartridge add cron-1.4 -a php1
Password: ***

Adding 'cron-1.4' to application 'php1'
Success

Useful cron-1.4 properties
==========================

There error messages are removed

Note You need to log in before you can comment on or make changes to this bug.